genact(1)

NAME
genact - A nonsense activity generator

SYNOPSIS
genact [-l|--list-modules] [-m|--modules] [-s|--speed-factor] [-i|--instant-print-lines] [--inhibit] [--exit-after-time] [--exit-after-modules] [--print-completions] [--print-manpage] [-h|--help] [-V|--version]

DESCRIPTION
A nonsense activity generator

OPTIONS

-l, --list-modules
    List available modules

-m, --modules <MODULES>
    Run only these modules
    [possible values: ansible, bootlog, botnet, bruteforce, cargo, cc, composer, cryptomining, docker_build, docker_image_rm, download, julia, kernel_compile, memdump, mkinitcpio, rkhunter, simcity, terraform, weblog, wpt]

-s, --speed-factor <SPEED_FACTOR> [default: 1]
    Global speed factor

-i, --instant-print-lines <INSTANT_PRINT_LINES> [default: 0]
    Instantly print this many lines

--inhibit
    Keep the computer awake and the display on while genact is running

--exit-after-time <EXIT_AFTER_TIME>
    Exit after running for this long (format example: 2h10min)

--exit-after-modules <EXIT_AFTER_MODULES>
    Exit after running this many modules

--print-completions <shell>
    Generate completion file for a shell
    [possible values: bash, elvish, fish, powershell, zsh]

--print-manpage
    Generate man page

-h, --help
    Print help

-V, --version
    Print version

VERSION
v1.5.1

AUTHORS
Sven-Hendrik Haase <svenstaro@gmail.com>